### Home Classes Methods

### In Files

- lib/plugins/yhara.rb

### Parent

Object

### Methods

- ::new
- #talk
- #voice

### Files

- ChangeLog
- README.rdoc

### Class/Module Index

Quicksearch

- Termtter
- Termtter::API
- Termtter::ActiveRubytter
- Termtter::Client
- Termtter::Client::DirectMessage
- Termtter::Client::Jakigan
- Termtter::Client::SearchEvent
- Termtter::Client::UserSearchEvent
- Termtter::Command
- Termtter::CommandCanceled
- Termtter::CommandLine
- Termtter::CommandNotFound
- Termtter::Config
- Termtter::ConfigSetup
- Termtter::Crypt
- Termtter::English
- Termtter::Event
- Termtter::HTTPpool
- Termtter::Hook
- Termtter::HookCanceled
- Termtter::Hookable
- Termtter::JSONError
- Termtter::MemoryCache
- Termtter::MemoryCache::MemCacheMock
- Termtter::OptParser
- Termtter::Plugin
- Termtter::Plugin::Screen
- Termtter::Plugins
- Termtter::Plugins::Haml
- Termtter::Plugins::ListSwitch
- Termtter::RubytterProxy
- Termtter::RubytterProxy::FrequentAccessError
- Termtter::RubytterProxy::LimitManager
- Termtter::Status
- Termtter::StdOut
- Termtter::Storage
- Termtter::Storage::SQLite3
- Termtter::Storage::Status
- Termtter::Task
- Termtter::TaskManager
- Termtter::TypableIdGenerator
- Termtter::UserStreamReceiver
- Yharian
- Yharian::Alex
- Yharian::Jenifer
- Yharian::Remark
- Yharian::Speaker
- Yharian::Vicki
- Yharian::Yhara
- HatenaKeywordHaiku
- HatenaKeywordHaiku::Word
- OAuth
- OAuth::AccessToken
- Readline
- Readline::LIBREADLINE
- AAMaker
- Array
- BrowserNotFound
- Growl
- IRB
- Object
- Status
- String
- Symbol
- TermColor
- TermtterIrcGateway
- User

No matching classes.

# Yharian::Speaker

### Attributes

name[R]

### Public Class Methods

new(name) click to toggle source

    # File lib/plugins/yhara.rb, line 19
    def initialize(name)
      @name = name
    end

### Public Instance Methods

talk(context) click to toggle source

    # File lib/plugins/yhara.rb, line 23
    def talk(context)
      n = 7
      words = (0..rand(n)).map { ]y hara].choice }.
        inject {|r, e| r + (rand < 0.97 ? ' ' : ', ') + e }
      eos = %(? ? . . . . . . . . !).choice
      [Remark.new(self,words, eos)]
    end

voice(context = nil) click to toggle source

    # File lib/plugins/yhara.rb, line 31
    def voice(context = nil)
      @name
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.